Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.graphics.color
Class PDICCBased

    java.lang.Object
      org.pdfbox.pdmodel.graphics.color.PDColorSpace
          org.pdfbox.pdmodel.graphics.color.PDICCBased

All Implemented Interfaces:
  COSObjectable

public class PDICCBased
extends PDColorSpace

This class represents a ICC profile color space.

Version:
  $Revision: 1.5 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary
`static String` | `NAME` The name of this color space.

Constructor Summary
`PDICCBased(COSArray iccArray)` Constructor.
`PDICCBased(PDDocument doc)` Default constructor, creates empty stream.

Method Summary
`ColorModel` | `createColorModel(int bpc)` Create a Java color model for this colorspace.
`ColorSpace` | `createColorSpace()` Create a Java colorspace for this colorspace.
`List` | `getAlternateColorSpaces()` This will return a list of alternate color spaces(PDColorSpace) if the display application does not support this icc stream.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`COSStream` | `getMetadata()` This will get the metadata stream for this object.
`String` | `getName()` This will return the name of the color space.
`int` | `getNumberOfComponents()` This will return the number of color components.
`PDStream` | `getPDStream()` Get the pd stream for this icc color space.
`PDRange` | `getRangeForComponent(int n)` This will get the range for a certain component number.
`void` | `setAlternateColorSpaces(List list)` This will set the list of alternate color spaces.
`void` | `setMetadata(COSStream metadata)` This will set the metadata stream that is associated with this color space.
`void` | `setNumberOfComponents(int n)` This will set the number of color components.
`void` | `setRangeForComponent(PDRange range, int n)` This will set the a range for this color space.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

  The name of this color space.

  See Also:
    Constant Field Values

Constructor Detail

### PDICCBased

    public PDICCBased(PDDocument doc)

  Default constructor, creates empty stream.

Parameters:
  `doc` - The document to store the icc data.

### PDICCBased

    public PDICCBased(COSArray iccArray)

  Constructor.

Parameters:
  `iccArray` - The ICC stream object.

Method Detail

### getName

    public String getName()

  This will return the name of the color space.

  Specified by:
    `getName` in class `PDColorSpace`
  Returns:
    The name of the color space.

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Overrides:
    `getCOSObject` in class `PDColorSpace`
  Returns:
    The cos object that matches this Java object.

### getPDStream

    public PDStream getPDStream()

  Get the pd stream for this icc color space.

  Returns:
    Get the stream for this icc based color space.

### createColorSpace

    public ColorSpace createColorSpace()
                                throws IOException

  Create a Java colorspace for this colorspace.

  Specified by:
    `createColorSpace` in class `PDColorSpace`
  Returns:
    A color space that can be used for Java AWT operations.
  Throws:
    `IOException` - If there is an error creating the color space.

### createColorModel

    public ColorModel createColorModel(int bpc)
                                throws IOException

  Create a Java color model for this colorspace.

  Specified by:
    `createColorModel` in class `PDColorSpace`
  Parameters:
    `bpc` - The number of bits per component.
  Returns:
    A color model that can be used for Java AWT operations.
  Throws:
    `IOException` - If there is an error creating the color model.

### getNumberOfComponents

    public int getNumberOfComponents()
                              throws IOException

  This will return the number of color components. As of PDF 1.4 this will be 1,3,4.

  Specified by:
    `getNumberOfComponents` in class `PDColorSpace`
  Returns:
    The number of components in this color space.
  Throws:
    `IOException` - If there is an error getting the number of color components.

### setNumberOfComponents

    public void setNumberOfComponents(int n)

  This will set the number of color components.

  Parameters:
    `n` - The number of color components.

### getAlternateColorSpaces

    public List getAlternateColorSpaces()
                                 throws IOException

  This will return a list of alternate color spaces(PDColorSpace) if the display application does not support this icc stream.

  Returns:
    A list of alternate color spaces.
  Throws:
    `IOException` - If there is an error getting the alternate color spaces.

### setAlternateColorSpaces

    public void setAlternateColorSpaces(List list)

  This will set the list of alternate color spaces. This should be a list of PDColorSpace objects.

  Parameters:
    `list` - The list of colorspace objects.

### getRangeForComponent

    public PDRange getRangeForComponent(int n)

  This will get the range for a certain component number. This is will never return null. If it is not present then the range -100 to 100 will be returned.

  Parameters:
    `n` - The component number to get the range for.
  Returns:
    The range for this component.

### setRangeForComponent

    public void setRangeForComponent(PDRange range,
                                     int n)

  This will set the a range for this color space.

  Parameters:
    `range` - The new range for the a component.
    `n` - The component to set the range for.

### getMetadata

    public COSStream getMetadata()

  This will get the metadata stream for this object. Null if there is no metadata stream.

  Returns:
    The metadata stream, if it exists.

### setMetadata

    public void setMetadata(COSStream metadata)

  This will set the metadata stream that is associated with this color space.

  Parameters:
    `metadata` - The new metadata stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD